## Apache Zeta Components Manual :: Docs For Class ezcMvcToolsException

### MvcTools::ezcMvcToolsException

### Class ezcMvcToolsException

This class provides the base exception for exception in the MvcTools component.

Source for this file: /MvcTools/src/exceptions/exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcMvcToolsException

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcMvcFilterHasNoOptionsException | This exception is thrown when filter options are set, but the filter doesn't support options.
ezcMvcInvalidConfiguration | Exception that is thrown if an invalid class is returned from any of the configuration methods of the ezcMvcConfigurableDispatcher configuration.
ezcMvcRouteNotFoundException | This exception is thrown when no route matches the request.
ezcMvcMissingRouteArgumentException | This exception is thrown when a reverse route is requested with a missing argument
ezcMvcInfiniteLoopException | This exception is thrown when there are more internal redirects than allowed.
ezcMvcNamedRouteNotReversableException | This exception is thrown when a reverse route is requested on a route class that does not support it.
ezcMvcNoZonesException | This exception is thrown when the createZones() method does not return any zones.
ezcMvcRegexpRouteException | This exception is thrown when the prefix() method can't prefix the route's pattern.
ezcMvcInvalidEncodingException | This exception is thrown when the recode filter detects an invalid input encoding.
ezcMvcActionNotFoundException | This exception is thrown when no action method exists for a route.
ezcMvcNamedRouteNotFoundException | This exception is thrown when a reverse route is requested with an unknown name.
ezcMvcFatalErrorLoopException | This exception is thrown when a fatal error request generates another fatal error request.
ezcMvcControllerException | This exception is thrown when an error in a controller occurs.
ezcMvcNoRoutesException | This exception is thrown when the createRoutes() method does not return any routes.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public void | `__construct( $message )` Constructs an ezcMvcToolsException

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

void __construct( string $message )

Constructs an ezcMvcToolsException

##### Parameters:

Name | Type | Description
--- | --- | ---
`$message` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcMvcFilterHasNoOptionsException::__construct()` | Constructs an ezcMvcFilterHasNoOptionsException
`ezcMvcInvalidConfiguration::__construct()` | Constructs a new ezcMvcInvalidConfiguration exception for configuration $item
`ezcMvcRouteNotFoundException::__construct()` | Constructs an ezcMvcRouteNotFoundException
`ezcMvcMissingRouteArgumentException::__construct()` | Constructs an ezcMvcMissingRouteArgumentException
`ezcMvcInfiniteLoopException::__construct()` | Constructs an ezcMvcInfiniteLoopException
`ezcMvcNamedRouteNotReversableException::__construct()` | Constructs an ezcMvcNamedRouteNotReversableException
`ezcMvcNoZonesException::__construct()` | Constructs an ezcMvcNoZonesException
`ezcMvcRegexpRouteException::__construct()` | Constructs an ezcMvcRegexpRouteException
`ezcMvcInvalidEncodingException::__construct()` | Constructs an ezcMvcInvalidEncodingException
`ezcMvcActionNotFoundException::__construct()` | Constructs an ezcMvcActionNotFoundException
`ezcMvcNamedRouteNotFoundException::__construct()` | Constructs an ezcMvcNamedRouteNotFoundException
`ezcMvcFatalErrorLoopException::__construct()` | Constructs an ezcMvcFatalErrorLoopException
`ezcMvcControllerException::__construct()` | Constructs an ezcMvcControllerException with $message
`ezcMvcNoRoutesException::__construct()` | Constructs an ezcMvcNoRoutesException

Documentation generated by phpDocumentor 1.4.3